import { Controller, Get } from '@nestjs/common';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { definePermission } from '../auth/decorators/permission.decorator';
import { ApiSecurityAuth } from '~/common/decorators/swagger.decorator';
import { ContractService } from './contract.service';
import { ApiResult } from '~/common/decorators/api-result.decorator';
export const permissions = definePermission('app:contract', {
  LIST: 'list',
  CREATE: 'create',
  READ: 'read',
  UPDATE: 'update',
  DELETE: 'delete'
} as const);

@ApiTags('Contract - 合同')
@ApiSecurityAuth()
@Controller('contract')
export class ContractController {
  constructor(private menuService: ContractService) {}

  //   @Get()
  //   @ApiOperation({ summary: '获取合同列表' })
  //   @ApiResult({ type: [RoleEntity], isPage: true })
  //   @Perm(permissions.LIST)
  //   async list(@Query() dto: RoleQueryDto) {
  //     return this.roleService.findAll(dto)
  //   }

  //   @Get(':id')
  //   @ApiOperation({ summary: '获取角色信息' })
  //   @ApiResult({ type: RoleInfo })
  //   @Perm(permissions.READ)
  //   async info(@IdParam() id: number) {
  //     return this.roleService.info(id)
  //   }

  //   @Post()
  //   @ApiOperation({ summary: '新增角色' })
  //   @Perm(permissions.CREATE)
  //   async create(@Body() dto: RoleDto): Promise<void> {
  //     await this.roleService.create(dto)
  //   }

  //   @Put(':id')
  //   @ApiOperation({ summary: '更新角色' })
  //   @Perm(permissions.UPDATE)
  //   async update(
  //     @IdParam() id: number, @Body() dto: RoleUpdateDto): Promise<void> {
  //     await this.roleService.update(id, dto)
  //     await this.menuService.refreshOnlineUserPerms()
  //   }

  //   @Delete(':id')
  //   @ApiOperation({ summary: '删除角色' })
  //   @Perm(permissions.DELETE)
  //   async delete(@IdParam() id: number): Promise<void> {
  //     if (await this.roleService.checkUserByRoleId(id))
  //       throw new BadRequestException('该角色存在关联用户，无法删除')

  //     await this.roleService.delete(id)
  //     await this.menuService.refreshOnlineUserPerms()
  //   }
}
